%define lib_major 2
%define lib_name %mklibname evdev %{lib_major}
%define develname %mklibname -d evdev

Name:		libevdev
Version:	1.5.2
Release:	%mkrel 1
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/libevdev
Source0:	http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

%description
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n %{lib_name}
Group:		System/Libraries
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries

%description -n %{lib_name}
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n %develname
Group:		Development/Libraries
Summary:	Kernel Evdev Device Wrapper Library Development Package
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %develname
Kernel Evdev Device Wrapper Library Development Package.

%prep
%setup -q
%apply_patches

%build
autoreconf --force -v --install || exit 1
%configure2_5x \
	--disable-static \
	--disable-silent-rules \
	--disable-gcov
%make

%install
rm -rf %buildroot
%makeinstall_std

# We don't ship *.la files
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libevdev.so.%{lib_major}*
%{_bindir}/touchpad-edge-detector
%{_bindir}/libevdev-tweak-device
%{_bindir}/mouse-dpi-tool

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/libevdev-1.0/
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}/man3/libevdev.3.*

%clean
rm -rf %buildroot

%changelog
* Sun Dec 11 2016 adrianomorselli <adrianomorselli> 1.5.2-1uplos2016
- rebuild

* Thu Aug 11 2016 bb <bb> 1.5.2-1pclos2016
- update

* Fri Mar 11 2016 bb <bb> 1.4.6-1pclos2016
- update and drop upstream patches

* Sun Jan 04 2016 bb <bb> 1.4.5-1pclos2016
- update

* Wed Oct 14 2015 bb <bb> 1.4.4-2pclos2015
- rebuild for updates

* Mon Sep 28 2015 bb <bb> 1.4.4-1pclos2015
- update

* Mon Jun 22 2015 bb <bb> 1.4.2-1pclos2015
- update
